---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libem02t007.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3264, symBinAddr: 0x3780, symSize: 0x270 }
  - { offsetInCU: 0xAAE, offset: 0xAAE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4FDE0, symBinAddr: 0xC318, symSize: 0x0 }
  - { offsetInCU: 0xAD5, offset: 0xAD5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x51D20, symBinAddr: 0xE258, symSize: 0x0 }
  - { offsetInCU: 0xAF7, offset: 0xAF7, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52108, symBinAddr: 0xE640, symSize: 0x0 }
  - { offsetInCU: 0xB19, offset: 0xB19, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x530A8, symBinAddr: 0xF5E0, symSize: 0x0 }
  - { offsetInCU: 0xB2E, offset: 0xB2E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x530B0, symBinAddr: 0xF5E8, symSize: 0x0 }
  - { offsetInCU: 0xBA9, offset: 0xBA9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4F928, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xBB4, offset: 0xBB4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4F92C, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0xBBF, offset: 0xBBF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4F930, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC04, offset: 0xC04, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4FA80, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xC7D, offset: 0xC7D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4FB38, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xC9B, offset: 0xC9B, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4FB3C, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCB4, offset: 0xCB4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4FB40, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0xCCD, offset: 0xCCD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4FB44, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0xCE6, offset: 0xCE6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4FB48, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x92AC, offset: 0x92AC, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4FB50, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x9335, offset: 0x9335, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4FB60, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x934E, offset: 0x934E, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4FB68, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x9367, offset: 0x9367, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4FB70, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x9380, offset: 0x9380, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4FB78, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x9399, offset: 0x9399, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4FB80, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x93B3, offset: 0x93B3, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4FB88, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x9499, offset: 0x9499, size: 0x8, addend: 0x0, symName: __ZL10eventCount, symObjAddr: 0x4FBCC, symBinAddr: 0xC1C4, symSize: 0x0 }
  - { offsetInCU: 0x94BE, offset: 0x94BE, size: 0x8, addend: 0x0, symName: __ZL13newEventCount, symObjAddr: 0x4FC68, symBinAddr: 0xC260, symSize: 0x0 }
  - { offsetInCU: 0x94D7, offset: 0x94D7, size: 0x8, addend: 0x0, symName: __ZL8syncLock, symObjAddr: 0x4FD08, symBinAddr: 0xC300, symSize: 0x0 }
  - { offsetInCU: 0x94F0, offset: 0x94F0, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x4FD10, symBinAddr: 0xC308, symSize: 0x0 }
  - { offsetInCU: 0x9509, offset: 0x9509, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4FD18, symBinAddr: 0xC310, symSize: 0x0 }
  - { offsetInCU: 0x955B, offset: 0x955B, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x2744, symSize: 0xA0 }
  - { offsetInCU: 0x95F0, offset: 0x95F0, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x271C, symSize: 0x28 }
  - { offsetInCU: 0x9653, offset: 0x9653, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x269C, symSize: 0x80 }
  - { offsetInCU: 0x98E7, offset: 0x98E7, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x3F8, symBinAddr: 0x27E4, symSize: 0x34 }
  - { offsetInCU: 0x9941, offset: 0x9941, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x2818, symSize: 0x20C }
  - { offsetInCU: 0x9AFA, offset: 0x9AFA, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x2A24, symSize: 0x28 }
  - { offsetInCU: 0x9BC3, offset: 0x9BC3, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x2A4C, symSize: 0xB0 }
  - { offsetInCU: 0x9CBA, offset: 0x9CBA, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x2AFC, symSize: 0xD8 }
  - { offsetInCU: 0x9E2B, offset: 0x9E2B, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x2BD4, symSize: 0x24 }
  - { offsetInCU: 0x9F0E, offset: 0x9F0E, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x2BF8, symSize: 0x168 }
  - { offsetInCU: 0xA0EA, offset: 0xA0EA, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x2D60, symSize: 0x104 }
  - { offsetInCU: 0xA39B, offset: 0xA39B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x1C2C, symBinAddr: 0x2E64, symSize: 0x3F8 }
  - { offsetInCU: 0xA5BF, offset: 0xA5BF, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x325C, symSize: 0x154 }
  - { offsetInCU: 0xA7A3, offset: 0xA7A3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x33B0, symSize: 0xAC }
  - { offsetInCU: 0xA878, offset: 0xA878, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x345C, symSize: 0x14 }
  - { offsetInCU: 0xA8B1, offset: 0xA8B1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x3470, symSize: 0x14 }
  - { offsetInCU: 0xA8EA, offset: 0xA8EA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x3484, symSize: 0x14 }
  - { offsetInCU: 0xAAAB, offset: 0xAAAB, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x3498, symSize: 0x1A8 }
  - { offsetInCU: 0xADB5, offset: 0xADB5, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x30C0, symBinAddr: 0x3640, symSize: 0x140 }
  - { offsetInCU: 0xAF56, offset: 0xAF56, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x34D4, symBinAddr: 0x39F0, symSize: 0x1C0 }
  - { offsetInCU: 0xB233, offset: 0xB233, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x3BB0, symSize: 0x9C }
  - { offsetInCU: 0xB2F0, offset: 0xB2F0, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x3C4C, symSize: 0x690 }
  - { offsetInCU: 0xBE82, offset: 0xBE82, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA22C, symBinAddr: 0x5F44, symSize: 0x30 }
  - { offsetInCU: 0xBF0E, offset: 0xBF0E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x42DC, symSize: 0x74 }
  - { offsetInCU: 0xBFBE, offset: 0xBFBE, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x4350, symSize: 0xB0 }
  - { offsetInCU: 0xC0C9, offset: 0xC0C9, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x4400, symSize: 0x3C }
  - { offsetInCU: 0xC1BF, offset: 0xC1BF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x443C, symSize: 0x29C }
  - { offsetInCU: 0xC502, offset: 0xC502, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x46D8, symSize: 0xD0 }
  - { offsetInCU: 0xC630, offset: 0xC630, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x47A8, symSize: 0xC }
  - { offsetInCU: 0xC6F2, offset: 0xC6F2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x47B4, symSize: 0x22C }
  - { offsetInCU: 0xC9AD, offset: 0xC9AD, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x49E0, symSize: 0x4 }
  - { offsetInCU: 0xC9F1, offset: 0xC9F1, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x49E0, symSize: 0x4 }
  - { offsetInCU: 0xCA0A, offset: 0xCA0A, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x49E4, symSize: 0x720 }
  - { offsetInCU: 0xD242, offset: 0xD242, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x93EC, symBinAddr: 0x5104, symSize: 0x4 }
  - { offsetInCU: 0xD286, offset: 0xD286, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x93EC, symBinAddr: 0x5104, symSize: 0x4 }
  - { offsetInCU: 0xD29F, offset: 0xD29F, size: 0x8, addend: 0x0, symName: _checkEvents, symObjAddr: 0x93F0, symBinAddr: 0x5108, symSize: 0x160 }
  - { offsetInCU: 0xD370, offset: 0xD370, size: 0x8, addend: 0x0, symName: _cbVMInit, symObjAddr: 0x9550, symBinAddr: 0x5268, symSize: 0x10 }
  - { offsetInCU: 0xD3BC, offset: 0xD3BC, size: 0x8, addend: 0x0, symName: __ZL11changeCount10jvmtiEventPi, symObjAddr: 0x9560, symBinAddr: 0x5278, symSize: 0x144 }
  - { offsetInCU: 0xD521, offset: 0xD521, size: 0x8, addend: 0x0, symName: _cbVMDeath, symObjAddr: 0x96A4, symBinAddr: 0x53BC, symSize: 0xD4 }
  - { offsetInCU: 0xD63C, offset: 0xD63C, size: 0x8, addend: 0x0, symName: __ZL19showEventStatisticsi, symObjAddr: 0x9778, symBinAddr: 0x5490, symSize: 0xF4 }
  - { offsetInCU: 0xD71D, offset: 0xD71D, size: 0x8, addend: 0x0, symName: _cbException, symObjAddr: 0x986C, symBinAddr: 0x5584, symSize: 0x10 }
  - { offsetInCU: 0xD79F, offset: 0xD79F, size: 0x8, addend: 0x0, symName: _cbExceptionCatch, symObjAddr: 0x987C, symBinAddr: 0x5594, symSize: 0x10 }
  - { offsetInCU: 0xD80B, offset: 0xD80B, size: 0x8, addend: 0x0, symName: _cbSingleStep, symObjAddr: 0x988C, symBinAddr: 0x55A4, symSize: 0x268 }
  - { offsetInCU: 0xDB33, offset: 0xDB33, size: 0x8, addend: 0x0, symName: _cbNewSingleStep, symObjAddr: 0x9AF4, symBinAddr: 0x580C, symSize: 0x268 }
  - { offsetInCU: 0xDE5B, offset: 0xDE5B, size: 0x8, addend: 0x0, symName: _cbFramePop, symObjAddr: 0x9D5C, symBinAddr: 0x5A74, symSize: 0x10 }
  - { offsetInCU: 0xDEBC, offset: 0xDEBC, size: 0x8, addend: 0x0, symName: _cbBreakpoint, symObjAddr: 0x9D6C, symBinAddr: 0x5A84, symSize: 0x10 }
  - { offsetInCU: 0xDF1D, offset: 0xDF1D, size: 0x8, addend: 0x0, symName: _cbFieldAccess, symObjAddr: 0x9D7C, symBinAddr: 0x5A94, symSize: 0x10 }
  - { offsetInCU: 0xDF9F, offset: 0xDF9F, size: 0x8, addend: 0x0, symName: _cbFieldModification, symObjAddr: 0x9D8C, symBinAddr: 0x5AA4, symSize: 0x10 }
  - { offsetInCU: 0xE042, offset: 0xE042, size: 0x8, addend: 0x0, symName: _cbMethodEntry, symObjAddr: 0x9D9C, symBinAddr: 0x5AB4, symSize: 0x10 }
  - { offsetInCU: 0xE09D, offset: 0xE09D, size: 0x8, addend: 0x0, symName: _cbMethodExit, symObjAddr: 0x9DAC, symBinAddr: 0x5AC4, symSize: 0x10 }
  - { offsetInCU: 0xE110, offset: 0xE110, size: 0x8, addend: 0x0, symName: _cbNativeMethodBind, symObjAddr: 0x9DBC, symBinAddr: 0x5AD4, symSize: 0x10 }
  - { offsetInCU: 0xE183, offset: 0xE183, size: 0x8, addend: 0x0, symName: _cbMonitorWait, symObjAddr: 0x9DCC, symBinAddr: 0x5AE4, symSize: 0x10 }
  - { offsetInCU: 0xE1EA, offset: 0xE1EA, size: 0x8, addend: 0x0, symName: _cbMonitorWaited, symObjAddr: 0x9DDC, symBinAddr: 0x5AF4, symSize: 0x10 }
  - { offsetInCU: 0xE251, offset: 0xE251, size: 0x8, addend: 0x0, symName: _cbMonitorContendedEnter, symObjAddr: 0x9DEC, symBinAddr: 0x5B04, symSize: 0x10 }
  - { offsetInCU: 0xE2AC, offset: 0xE2AC, size: 0x8, addend: 0x0, symName: _cbMonitorContendedEntered, symObjAddr: 0x9DFC, symBinAddr: 0x5B14, symSize: 0x10 }
  - { offsetInCU: 0xE307, offset: 0xE307, size: 0x8, addend: 0x0, symName: _cbCompiledMethodLoad, symObjAddr: 0x9E0C, symBinAddr: 0x5B24, symSize: 0x10 }
  - { offsetInCU: 0xE386, offset: 0xE386, size: 0x8, addend: 0x0, symName: _cbCompiledMethodUnload, symObjAddr: 0x9E1C, symBinAddr: 0x5B34, symSize: 0x10 }
  - { offsetInCU: 0xE3D5, offset: 0xE3D5, size: 0x8, addend: 0x0, symName: _cbGarbageCollectionStart, symObjAddr: 0x9E2C, symBinAddr: 0x5B44, symSize: 0x10 }
  - { offsetInCU: 0xE40C, offset: 0xE40C, size: 0x8, addend: 0x0, symName: _cbGarbageCollectionFinish, symObjAddr: 0x9E3C, symBinAddr: 0x5B54, symSize: 0x10 }
  - { offsetInCU: 0xE443, offset: 0xE443, size: 0x8, addend: 0x0, symName: _cbObjectFree, symObjAddr: 0x9E4C, symBinAddr: 0x5B64, symSize: 0x68 }
  - { offsetInCU: 0xE4B4, offset: 0xE4B4, size: 0x8, addend: 0x0, symName: _cbVMObjectAlloc, symObjAddr: 0x9EB4, symBinAddr: 0x5BCC, symSize: 0x10 }
  - { offsetInCU: 0xE527, offset: 0xE527, size: 0x8, addend: 0x0, symName: __ZL12setCallBacksi, symObjAddr: 0x9EC4, symBinAddr: 0x5BDC, symSize: 0x274 }
  - { offsetInCU: 0xE604, offset: 0xE604, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA138, symBinAddr: 0x5E50, symSize: 0xF4 }
  - { offsetInCU: 0xE75F, offset: 0xE75F, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA25C, symBinAddr: 0x5F74, symSize: 0x358 }
...
